name: Build Nix modules (dry-run)

on:
  push:
    branches:
      - main

jobs:
  build-modules:
    runs-on: lix
    steps:
      - name: Setup nodejs 24
        env:
          NIX_CONFIG: experimental-features = nix-command flakes
        run: |
          set -eux
          nix profile install nixpkgs#nodejs-slim_24
          nix profile install nixpkgs#zsh
      - name: Checkout repository
        uses: actions/checkout@v4

      - name: Run Dry Run (dry-run)
        env:
          NIX_CONFIG: experimental-features = nix-command flakes
        run: |
          set -eux
          ./dry_run.zsh

